import { Datecompare } from '@/components/Common-Library'

export default fieldSet = {
  iratyp:[
    {type:'string'},
    {validator(rule,value,callback,source,options){
      if(source.trtcre_crefin == 'true'){
        if(!value){
          callback("必输项")
        }else{
          return true
        }
      }else{
        return true
      }
    }}
  ],

  basrat:[
        {type:'string'},
        {validator(rule,value,callback,source,options){
          if(source.trtcre_crefin == 'true'){
            if(value){
              if(value && (value<=0)){
                callback('融资利率不可为 0');
              }else{
                return true;
              }
            }else{
              callback("必输项")
            }
          }else{
            return true
          }
        }}
        // \bpdgrp\rec\basrat    融资利率 
    ],
    expdat:[
          {type:'string'},
          {validator(rule,value,callback,source,options){
            if(source.trtcre_crefin == 'true'){
              if(value){
                let res = Datecompare( source.opndat1, source.expdat )
                if( source.opndat1 && res > -1 ){
                  callback('必须大于起息日期');
                }else{
                  return true;
                }
              }else{
                callback('必输项');
              }
            }else{
              return true
            }
          }}
          // \bpdgrp\rec\expdat    融资到期日
    ],
    accdat:[
       //     {type:'string',max:12,message:'长度不能超过12个字符'},  // \bddgrp\rec\accdat    承兑日期 
    ],
    clrtyp:[
            {type:'string',max:4,message:'长度不能超过4个字符'},
            {required:true,message:"必输项"}
            // \bddgrp\rec\clrtyp    清算方式 
    ],
    docflg:[
            {type:'string',max:4,message:'长度不能超过4个字符'},  // \bddgrp\rec\docflg    单据类型 
    ],
    inr:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \bddgrp\rec\inr    索引 
    ],
    matdat:[
          //  {type:'string',max:12,message:'长度不能超过12个字符'},  // \bddgrp\rec\matdat    到期日 
    ],
    nam:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \bddgrp\rec\nam    概要描述 
    ],
    opndat1:[
          {type:'string'},
          {validator(rule,value,callback,source,options){
            if(source.trtcre_crefin == 'true'){
              if(value){
                let res = Datecompare( source.opndat1, source.expdat )
                if( source.expdat && res > -1 ){
                  callback('必须小于融资到期日');
                }else{
                  return true;
                }
              }else{
                callback('必输项');
              }
            }else{
              return true
            }
          }}
          // \bpdgrp\rec\opndat1    起息日 
    ],
    ownref:[
            {type:'string',max:20,message:'长度不能超过20个字符'},  // \bddgrp\rec\ownref    单据编号 
    ],
    payrmk:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \bddgrp\rec\payrmk    付款备注 
    ],
    paytyp:[
            {type:'string',max:4,message:'长度不能超过4个字符'},
            {required:true,message:"必输项"}
            // \bddgrp\rec\paytyp    付款类型 
    ],
    max_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bddgrp\cbs\max\amt    Balance 
    ],
    max1_amt:[
      {type:'string',max:16,message:'长度不能超过16个字符'},
      {validator(rule,value,callback,source,options){
        if(source.trtcre_crefin == 'true'){
          if(value > 0){
            let val = Number(value)
            let docamt = Number(source.docamt1)
            if(val > docamt){
              callback("不得超过单据金额")
            }else{
              return true
            }
          }else{
            callback("融资金额不为0")
          }
        }else{
          return true
        }
      }}
      // \bpdgrp\cbs\max\amt    Balance 
],
    max_cur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bddgrp\cbs\max\cur    Currency 
    ],
    opn1_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bddgrp\cbs\opn1\amt    Balance 
    ],
    opn1_cur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bddgrp\cbs\opn1\cur    Currency 
    ],
    bdtmod_clsflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bdtmod\clsflg    闭卷业务 
    ],
    pts_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \didgrp\adv\pts\namcn    客户中文名称 
    ],
    pts1_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \didgrp\apl\pts\namcn    客户中文名称 
    ],
    pts2_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \didgrp\ben\pts\namcn    客户中文名称 
    ],
    mtabut_clsflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \mtabut\clsflg    Close Flag 
    ],
    setmod_docamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \setmod\docamt    document amount 
    ],
    setmod_doccur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \setmod\doccur    document currency 
    ],
    setmod_redamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \setmod\redamt    Reduction Amount 
    ],
    setmod_setamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'}, 
            {validator(rule,value,callback,source,options){
              if(value){
                if((value - 0)<=0){
                  callback("付款金额不可小于0")
                }else{
                  return true
                }
              }else{
                callback("必输项")
              }
            }}
            // \setmod\setamt    Reduced Amount to settle 
    ],

}